# $Revision: 1.6 $, $Date: 2009/05/28 10:06:56 $
%define		snap	2009-03-25
%define		ver	%(echo %{snap} | tr -d -)
%define		tpl	arctic
Summary:	Arctic template for DokuWiki
Summary(pl.UTF-8):	Szablon Arctic dla Dokuwiki
Name:		dokuwiki-tpl-%{tpl}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://www.chimeric.de/_media/projects/dokuwiki/template/arctic/download/template-arctic-%{snap}.tgz
# Source0-md5:	09debac544fd40d8f95a721ef724f20f
Source1:	dokuwiki-find-lang.sh
URL:		http://www.chimeric.de/projects/dokuwiki/template/arctic
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	dokuwiki >= 20080505
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		tpldir		%{dokudir}/lib/tpl/%{tpl}

%description
Yet Another Sidebar Template. ;-) Features: sidebar
(left/right/both/none), definable User-/Group-/Namespace-Sidebars,
fully configurable via configuration manager, TOC inside sidebar, user
defined sidebar actions.

%prep
%setup -q -n %{tpl}
cat > INSTALL <<'EOF'
To activate this template add the following to your conf/local.php file:
$conf['template'] = '%{tpl}';
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{tpldir}
cp -a . $RPM_BUILD_ROOT%{tpldir}
rm -f $RPM_BUILD_ROOT%{tpldir}/{COPYING,VERSION,INSTALL,README,style.ini.dist}

# find locales
sh %{SOURCE1} %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc INSTALL README VERSION
%dir %{tpldir}
%{tpldir}/*.php
%{tpldir}/*.css
%{tpldir}/*.html
%{tpldir}/script.js
%{tpldir}/style.ini
%{tpldir}/conf
%{tpldir}/images

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: dokuwiki-tpl-arctic.spec,v $
Revision 1.6  2009/05/28 10:06:56  paszczus
- updated to 2009-03-25

Revision 1.5  2009/01/27 15:06:49  glen
- force css cache refresh after install

Revision 1.4  2008/09/19 15:53:23  duddits
- snap up to 2008-07-30
- needs dokuwiki >= 20080505

Revision 1.3  2008/07/21 12:57:17  glen
- do not package COPYING (GPL v2)

Revision 1.2  2008/07/21 12:56:41  glen
- too much copy pasto

Revision 1.1  2008/07/21 12:38:29  paszczus
- new
